Android Studio 3.5中导入项目时关于Gradle错误的解决

错误描述

新版本的Android Studio(本博客使用Android Studio 3.5)导入旧的Android Studio项目时出现build错误,在解决过程中出现以下提示:

  • ERROR: Cause: peer not authenticated
  • ERROR: Could not find com.android.tools.build:gradle:3.5.0

这类导入旧项目出现build的错误,往往是由于Gradle的错误引起。

问题解决

不同的Android Studio依赖的Gradle工具的版本不同,具体可以参看 :Android Gradle plugin release notes 。其实完全可以不用这么麻烦,新建一个Android Studio项目,通过"File > Project Structure > Project"即可查询到当前Android Studio所使用的Gradle工具(Plugin)的版本以及Gradle的版本。如下图所示:
在这里插入图片描述
可以看到当前的Gradle Plugin的版本为3.5.0,Gradle版本为5.4.1。
接着修改旧的Android项目的build.gradle(Project),修改“dependencies”的“classpath”部分,如下图所示:
在这里插入图片描述
修改其中的gradle工具的版本,使用当前支持的最新版本。此处的修改能够解决“ERROR: Cause: peer not authenticated”的错误,但同时出现“ERROR: Could not find com.android.tools.build:gradle:3.5.0”的错误。
出现这个错误的原因是因为Google新增了Maven repositories,如上图所示的repositories——“google()”,在build.gradle中添加这个新的Maven repositories即可,详细可参见:StackOverflow

后记

旧项目的导入出现build错误大概率是由于Gradle的错误,但是也不能完全一概而论,要视具体情况具体分析。

展开阅读全文
©️2020 CSDN 皮肤主题: 大白 设计师: CSDN官方博客 返回首页
实付0元
点击重新获取
扫码支付
钱包余额 0

抵扣说明:

1.余额是钱包充值的虚拟货币,按照1:1的比例进行支付金额的抵扣。
2.余额无法直接购买下载,可以购买VIP、C币套餐、付费专栏及课程。

余额充值